<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE web-app PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN" "http://java.sun.com/dtd/web-app_2_3.dtd">
<web-app>
	
	<filter>
		<filter-name>SetCharacterEncoding</filter-name>
		<filter-class>
			com.sino.publicclass.common.SetCharacterEncodingFilter
		</filter-class>
		<init-param>
			<param-name>CharacterEncoding</param-name>
			<param-value>UTF-8</param-value>
		</init-param>
		<init-param>
			<param-name>ignore</param-name>
			<param-value>true</param-value>
		</init-param>
	</filter>
	
	<filter-mapping>
		<filter-name>SetCharacterEncoding</filter-name>
		<url-pattern>/action/*</url-pattern>
	</filter-mapping>
	
	<filter-mapping>
		<filter-name>SetCharacterEncoding</filter-name>
		<url-pattern>*.do</url-pattern>
	</filter-mapping>
     
	<servlet>
		<servlet-name>InitServlet</servlet-name>
		<servlet-class>com.sino.publicclass.base.InitServlet</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
 
 	<servlet>
		<servlet-name>TWRequestHandle</servlet-name>
		<servlet-class>
			com.sino.publicclass.base.RequestHandle
		</servlet-class>
		<init-param>
			<param-name>perpackage</param-name>
			<param-value>com.sino.rrs.action</param-value>
		</init-param>
		<init-param>
			<param-name>errorPage</param-name>
			<param-value>/jsp/pub/exception.jsp</param-value>
		</init-param>
		<init-param>
			<param-name>waitPage</param-name>
			<param-value>/jsp/pub/wait.jsp</param-value>
		</init-param>
	</servlet>
	
	<servlet-mapping>
		<servlet-name>TWRequestHandle</servlet-name>
		<url-pattern>*.do</url-pattern>
	</servlet-mapping>
   
   <!-- 救援微信服务  --> 
    <servlet>
		<servlet-name>sinoServlet</servlet-name>
		<servlet-class>
			com.sino.weixin.servlet.rescue.RescueCoreServlet
		</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>sinoServlet</servlet-name>
		<!-- <url-pattern>/*.do</url-pattern> -->
		<url-pattern>/sinoService.do</url-pattern>
	</servlet-mapping>
   
	<!-- 用户注册配置 -->  
	<servlet>
		<servlet-name>userRegisterServlet</servlet-name>
		<servlet-class>com.sino.rescue.oauth.servlet.UserRegisterServiceServlet</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>userRegisterServlet</servlet-name>
		<url-pattern>/userRegisterService.do</url-pattern>
	</servlet-mapping>
	
	<!-- 当前订单服务配置  -->
	<servlet>
		<servlet-name>currentOrderServlet</servlet-name>
		<servlet-class>com.sino.rescue.oauth.servlet.CurrentOrderServlet</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>currentOrderServlet</servlet-name>
		<url-pattern>/currentOrderService.do</url-pattern>
	</servlet-mapping>
	
<!-- 已经完成的服务配置  --> 
 	<servlet>
		<servlet-name>todayFinishedServlet</servlet-name>
		<servlet-class>com.sino.rescue.oauth.servlet.TodayFinishedOrderServlet</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>todayFinishedServlet</servlet-name>
		<url-pattern>/todayFinishedService.do</url-pattern>
	</servlet-mapping>

<!-- 上传照片服务配置 -->
	<servlet>
		<servlet-name>uploadPhoto</servlet-name>
		<servlet-class>com.sino.rescue.oauth.servlet.UploadPhotoServlet</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>uploadPhoto</servlet-name>
		<url-pattern>/uploadPhoto.do</url-pattern>
	</servlet-mapping>

<!-- 供应商对账模块   我的对账   -->
	<servlet>
		<servlet-name>billCheck</servlet-name>
		<servlet-class>com.sino.rescue.oauth.servlet.BillCheckServlet</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>billCheck</servlet-name>
		<url-pattern>/billCheck.do</url-pattern>
	</servlet-mapping>
	
	<!-- 加入我们  成为供应商 -->
	<servlet>
		<servlet-name>joinRescueCompany</servlet-name>
		<servlet-class>com.sino.rescue.oauth.servlet.JoinRescueCompanyServlet</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>joinRescueCompany</servlet-name>
		<url-pattern>/joinRescueCompany.do</url-pattern>
	</servlet-mapping>
	
	<!-- 大区经理    供应商消息传递 -->
	<servlet>
		<servlet-name>messageTranslate</servlet-name>
		<servlet-class>com.sino.rescue.oauth.servlet.TranslateMessageServlet</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>messageTranslate</servlet-name>
		<url-pattern>/testTaibao.do</url-pattern>
	</servlet-mapping>
	
	<!-- 远程调用服务 -->
	<servlet>
		<servlet-name>weixinClientServer</servlet-name>
		<servlet-class>com.sino.rrs.servlet.WeixinClientImplServlet</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>weixinClientServer</servlet-name>
		<url-pattern>/weixinClientServer.do</url-pattern>
	</servlet-mapping>
</web-app>
